Import APIM policies
POST https://{controlplane_path}/api/1/rest/public/apim/import_policies
This API imports a set of policies into an API or API version.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
Query parameters
None.
Request header
In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type.
For more details on accounts refer to Manage accounts.
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of Basic authentication using Postman
When using JWT authentication, the API requests includes specific headers. In the
request header, specify Bearer Token for authorization, add the token,
and specify application/json for content type. These headers are
automatically added when you configure bearer token authentication in your API client.
The authorization header contains the word Bearer followed by a
space and your JWT token.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authenthication using Postman
Request body
{
"path" : "...",
"policies_to_import" : { ... }
}
| Key | Type | Description |
|---|---|---|
path |
string |
The path to the API or the API version.
Format:
|
policies_to_import |
JSON object | The JSON object returned by the Export APIM policies API.
Example:
|
Response
{
"response_map": {
"import_results": {
"overrode": [ ... ],
"ignored": [ ... ],
"imported": [ ... ]
}
},
"http_status_code": 200
}
| Key | Type | Description |
|---|---|---|
overrode |
array | An array of strings containing the names of the policies that were overridden. |
ignored |
array | An array of strings containing the names of the policies that were ignored. |
imported |
array | An array of strings containing the names of the policies that were successfully imported. |